import {Component, OnInit, ViewChild} from '@angular/core';
import {ActivatedRoute} from '@angular/router';
import {WorkService} from '../../work.service';
import {NzMessageService} from 'ng-zorro-antd';
import {LinkInventoryComponent} from '../../modal/link-inventory/link-inventory.component';

@Component({
    selector: 'smart-handle-event',
    templateUrl: './handle-event.component.html',
    styles: []
})
export class HandleEventComponent implements OnInit {
    @ViewChild('smartLinkInventory') smartLinkInventory:LinkInventoryComponent;

    eventId;
    event;

    constructor(private routrInfo: ActivatedRoute, private workSer: WorkService,
                private message: NzMessageService) {
        this.routrInfo.queryParams.subscribe(
            (res) => {
                this.eventId = res.eventId;
            }
        );
    }

    ngOnInit() {
        this.getDetail();
        this.findTransferAndInventory();
    }

    //事件详情
    getDetail() {
        this.workSer.findByNo(this.eventId).subscribe(
            (res) => {
                this.event = res.data;
            }
        );
    }

    //查询事件流转信息
    findTransferAndInventory(){
        this.workSer.findTransferAndInventory(this.eventId).subscribe(
            (res)=>{

            }
        )
    }

    selectPerson(){

    }

    showInventoryModal(){
        this.smartLinkInventory.showModal("添加关联资产");
    }

}
